Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Rendering of internationalized text for SDL (Simple DirectMedia Layer)
Name: 		SDL_Pango
Version: 	0.1.2
Release: 	3
License: 	LGPL
Group: 		System/Libraries
URL: 		http://sdlpango.sourceforge.net/
Source0: 	http://dl.sf.net/sdlpango/SDL_Pango-%{version}.tar.gz
Source1: 	doxygen.png
Patch0: 	SDL_Pango-0.1.2-suppress-warning.patch
Patch1: 	SDL_Pango-0.1.2-API-adds.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	pango-devel SDL-devel dos2unix
BuildRequires: 	autoconf automake libtool

%description
Pango is the text rendering engine of GNOME 2. SDL_Pango connects that engine
to SDL, the Simple DirectMedia Layer.

%package devel
Summary: 	Development files for SDL_pango
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}, pango-devel, SDL-devel, pkg-config

%description devel
Development files for SDL_pango.


%prep
%setup -q
%patch0 -p1 -b .suppress-warning
%patch1 -p0 -b .API-adds
# Clean up, we include the entire "docs/html" content for the devel package
%{__rm} -rf docs/html/CVS/
# Replace the corrupt doxygen.png file with a proper one
%{__install} -m 0644 -p %{SOURCE1} docs/html/doxygen.png
# Fix the (many) DOS encoded files, not *.png since they get corrupt
find . -not -name \*.png -type f -exec dos2unix -k {} \;
# For FC-5 x86_64 this is required, or the shared library doesn't get built
autoreconf
libtoolize --copy --force


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%doc docs/html/*
%{_includedir}/SDL_Pango.h
%{_libdir}/pkgconfig/SDL_Pango.pc
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Wed Jan 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.2-3
- removed rogue erroneous string in description field
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.2-2
- rebuilt against SDL 1.2.13
* Wed Nov 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.1.2-1
- Initial release
